Installer - Feature #32710

Tftp support for Rocky Linux and AlmaLinux
06/03/2021 12:46 PM - Matthew Smith

Status: Closed
Priority: Normal
Assignee:
Category: Foreman modules
Target version: 3.0.0
Difficulty: Fixed in Releases: 3.0.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/690

Description
Can we get some support for Rocky Linux and AlmaLinux.

Currently | have to manually run the following command (when installing Katello on Rocky/AlmaLinux) prior to running a
foreman-installer --scenario katello that includes the foreman-proxy-tftp arguments. It would be nic eif it was already in the code.

1. Fix /usr/share/foreman-installer/modules/foreman_proxy/manifests/tftp/netboot.pp to work with Rocky and AlmaLinux package
sed -i "s:/Fedora|CentOS/:/Fedora|CentOS|Rocky|AlmaLinux/:g"
/usr/share/foreman-installer/modules/foreman_proxy/manifests/tftp/netboot.pp

Related issues:
Related to Installer - Feature #33170: Additional Tftp Support For Rocky Duplicate

Associated revisions

Revision 2af52b18 - 07/22/2021 12:00 PM - Maxim Petukhov
Fixes #32710 - tftp support for Rocky Linux and AlmaLinux

History

#1 - 06/09/2021 05:44 PM - James Jeffers

- Project changed from Katello to Smart Proxy

#2 - 07/16/2021 02:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/690 added

#3 - 08/02/2021 04:05 PM - Ewoud Kohl van Wijngaarden
- Project changed from Smart Proxy to Installer

- Category set to Foreman modules

- Status changed from Ready For Testing to Closed

- Target version set to 3.0.0

- Triaged changed from No to Yes

- Fixed in Releases 3.0.0 added

- Found in Releases deleted (Katello 4.0.1)

#4 - 08/02/2021 04:06 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #33170: Additional Tfip Support For Rocky added
